# SFML - Simple and Fast Multimedia Library

SFML 3.0.0

- Main Page
- Topics
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

Loading...
Searching...
No Matches
Here is a list of all namespace members with links to the namespace documentation for each member:

### - a -

- Axis : sf::Joystick
- AxisCount : sf::Joystick

### - b -

- BlendAdd : sf
- BlendAlpha : sf
- BlendMax : sf
- BlendMin : sf
- BlendMultiply : sf
- BlendNone : sf
- Button : sf::Mouse
- ButtonCount : sf::Joystick, sf::Mouse
- Bvec2 : sf::Glsl
- Bvec3 : sf::Glsl
- Bvec4 : sf::Glsl

### - c -

- Close : sf::Style
- ContextDestroyCallback : sf
- CoordinateType : sf
- Count : sf::Joystick, sf::Sensor

### - d -

- Default : sf::Style
- degrees() : sf
- delocalize() : sf::Keyboard

### - e -

- err() : sf

### - f -

- FloatRect : sf

### - g -

- getAvailableDevices() : sf::PlaybackDevice
- getAxisPosition() : sf::Joystick
- getButtonCount() : sf::Joystick
- getCone() : sf::Listener
- getDefaultDevice() : sf::PlaybackDevice
- getDescription() : sf::Keyboard
- getDevice() : sf::PlaybackDevice
- getDirection() : sf::Listener
- getFunction() : sf::Vulkan
- getGlobalVolume() : sf::Listener
- getGraphicsRequiredInstanceExtensions() : sf::Vulkan
- getIdentification() : sf::Joystick
- getNativeActivity() : sf
- getPosition() : sf::Listener, sf::Mouse, sf::Touch
- getString() : sf::Clipboard
- getUpVector() : sf::Listener
- getValue() : sf::Sensor
- getVelocity() : sf::Listener
- GlFunctionPointer : sf

### - h -

- hasAxis() : sf::Joystick

### - i -

- IntRect : sf
- isAvailable() : sf::Sensor, sf::Vulkan
- isButtonPressed() : sf::Joystick, sf::Mouse
- isConnected() : sf::Joystick
- isDown() : sf::Touch
- isKeyPressed() : sf::Keyboard
- Ivec2 : sf::Glsl
- Ivec3 : sf::Glsl
- Ivec4 : sf::Glsl

### - k -

- Key : sf::Keyboard
- KeyCount : sf::Keyboard

### - l -

- localize() : sf::Keyboard

### - m -

- Mat3 : sf::Glsl
- Mat4 : sf::Glsl

### - n -

- None : sf::Style

### - o -

- operator!=() : sf
- operator<() : sf
- operator<<() : sf
- operator<=() : sf
- operator==() : sf
- operator>() : sf
- operator>=() : sf
- operator>>() : sf

### - p -

- PrimitiveType : sf

### - r -

- radians() : sf
- Resize : sf::Style

### - s -

- Scan : sf::Keyboard
- Scancode : sf::Keyboard
- ScancodeCount : sf::Keyboard
- setCone() : sf::Listener
- setDevice() : sf::PlaybackDevice
- setDirection() : sf::Listener
- setEnabled() : sf::Sensor
- setGlobalVolume() : sf::Listener
- setPosition() : sf::Listener, sf::Mouse
- setString() : sf::Clipboard
- setUpVector() : sf::Listener
- setVelocity() : sf::Listener
- setVirtualKeyboardVisible() : sf::Keyboard
- sleep() : sf
- SocketHandle : sf
- SoundChannel : sf
- State : sf
- StencilComparison : sf
- StencilUpdateOperation : sf
- swap() : sf

### - t -

- Titlebar : sf::Style
- Type : sf::Sensor

### - u -

- U8String : sf
- update() : sf::Joystick
- Utf16 : sf
- Utf32 : sf
- Utf8 : sf

### - v -

- Vec2 : sf::Glsl
- Vec3 : sf::Glsl
- Vec4 : sf::Glsl
- Vector2f : sf
- Vector2i : sf
- Vector2u : sf
- Vector3f : sf
- Vector3i : sf
- VulkanFunctionPointer : sf

### - w -

- Wheel : sf::Mouse
- WindowHandle : sf